메인 콘텐츠로 건너뛰기
GET
/
v1
/
public
/
accounts
/
{account_id}
/
domains
/
{domain}
도메인 조회
curl --request GET \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/domains/{domain} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "outbound_routing_ready": true,
  "status": "<string>",
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "auto_renew": false,
  "created_at": "<string>",
  "dedicated_ip_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dns_records": [
    {
      "id": 123,
      "name": "<string>",
      "ttl": 123,
      "type": "<string>",
      "value": "<string>",
      "is_system_managed": false,
      "priority": 123
    }
  ],
  "inbound_tenant_external_id": "<string>",
  "inbound_tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "inbound_tenant_name": "<string>",
  "inbound_tenant_type": "<string>",
  "mailboxes": [
    {
      "active": true,
      "email": "<string>",
      "first_name": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "last_name": "<string>"
    }
  ],
  "redirect_url": "<string>",
  "tags": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    }
  ],
  "updated_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

인증

Authorization
string
header
필수

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

경로 매개변수

account_id
string<uuid>
필수
domain
string
필수

응답

id
string<uuid>
필수

도메인 UUID

name
string
필수

도메인 이름

outbound_routing_ready
boolean
필수

아웃바운드 라우팅 준비 여부

status
string
필수

도메인 수명주기 상태

workspace_id
string<uuid>
필수

도메인이 포함된 Workspace UUID

auto_renew
boolean
기본값:false

도메인 자동 갱신 활성화 여부

created_at
string | null

도메인 생성 타임스탬프

dedicated_ip_id
string<uuid> | null

할당된 전용 IP UUID(있는 경우)

dns_records
DomainDnsRecordResponse · object[]

도메인에 대한 DNS 레코드

inbound_tenant_external_id
string | null

인바운드 테넌트의 공급자 외부 ID

inbound_tenant_id
string<uuid> | null

인바운드 테넌트 UUID(할당된 경우)

inbound_tenant_name
string | null

인바운드 테넌트 표시 이름(할당된 경우)

inbound_tenant_type
string | null

인바운드 테넌트 유형(할당된 경우)

mailboxes
DomainMailboxSummary · object[]

도메인의 사서함

redirect_mode
enum<string> | null

구성된 리디렉션 모드(있는 경우)

사용 가능한 옵션:
301,
302,
iframe
redirect_url
string | null

구성된 리디렉션 URL(있는 경우)

tags
DomainTagResponse · object[]

도메인에 연결된 태그

updated_at
string | null

도메인 마지막 업데이트 타임스탬프